curl --request POST \
--url https://v1.api.altostrat.io/scans/cve/scan/multiple-ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule_id": "9c43cc95-f313-49a3-b632-524f7a24503b",
"site_id": "9c3c1392-7f36-4240-85f2-273573c0384a",
"ips": [
"192.168.1.55",
"192.168.1.60"
]
}
'import requests
url = "https://v1.api.altostrat.io/scans/cve/scan/multiple-ips"
payload = {
"schedule_id": "9c43cc95-f313-49a3-b632-524f7a24503b",
"site_id": "9c3c1392-7f36-4240-85f2-273573c0384a",
"ips": ["192.168.1.55", "192.168.1.60"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule_id: '9c43cc95-f313-49a3-b632-524f7a24503b',
site_id: '9c3c1392-7f36-4240-85f2-273573c0384a',
ips: ['192.168.1.55', '192.168.1.60']
})
};
fetch('https://v1.api.altostrat.io/scans/cve/scan/multiple-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scan_id": "9c46a6f1-a8d8-4f5a-9b2f-7d1b3e9c5a1d",
"scan_site_id": "9c46a6f1-b9e9-4f5a-9b2f-8e2c4f0d6b2e",
"target_ips": [
"192.168.1.55",
"192.168.1.60"
],
"message": "Scan started successfully"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'description' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Start On-Demand Multi-IP Scan
Initiates an immediate, on-demand scan for a specific list of IP addresses. This uses the configuration of an existing scan schedule but targets only the specified IPs within a particular site.
Authorizations
Enter your bearer token in the format: Bearer {token}
Body
Details of the scan to initiate.
The ID of the schedule whose configuration will be used for the scan.
"9c43cc95-f313-49a3-b632-524f7a24503b"
The ID of the site where the target IP addresses are located.
"9c3c1392-7f36-4240-85f2-273573c0384a"
A list of specific IPv4 addresses to scan.
["192.168.1.55", "192.168.1.60"]Response
The multi-IP scan has been created and queued for execution.
The unique identifier for the newly created parent scan object.
"9c46a6f1-a8d8-4f5a-9b2f-7d1b3e9c5a1d"
The unique identifier for this specific site scan instance.
"9c46a6f1-b9e9-4f5a-9b2f-8e2c4f0d6b2e"
["192.168.1.55", "192.168.1.60"]"Scan started successfully"
Was this page helpful?